//
//  ContentView.swift
//  PanelTest
//
//  Created by Craig Hockenberry on 8/11/23.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
		VStack(alignment: .leading, spacing: 0) {
			// NOTE: The trick is by laying out some invisible text to establish the height
			// of the view, then using an .overlay with the HStack content.
			Text("\u{A0}")
				.frame(maxWidth: .infinity)
				.overlay {
					HStack {
						Text("Header Text")
							.lineLimit(1)
						
						Spacer()
						
						Image("checkmark") // this is a 170 x 170 px image
							.resizable()
							.aspectRatio(contentMode: .fit)
					}
				}
			.padding(10)
			.background(.orange)
			.frame(maxWidth: .infinity)
			
			Text("This is some body text")
				.padding(10)
		}
		.background(.pink)
		.frame(maxWidth: 300)
    }
}

#Preview {
    ContentView()
}
